Bug 215667 - Compiz (and Beryl) on PowerPC turn screen wonky-colored
Compiz (and Beryl) on PowerPC turn screen wonky-colored
Status: CLOSED DUPLICATE of bug 210760
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
6
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
https://bugs.freedesktop.org/show_bug...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-14 22:40 EST by Jarod Wilson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-15 01:22:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for wonky colors w/Compiz on PPC (406 bytes, patch)
2006-11-14 22:40 EST, Jarod Wilson
no flags Details | Diff

  None (edit)
Description Jarod Wilson 2006-11-14 22:40:37 EST
Description of problem:
On PowerPC systems, enabling Compiz or Beryl turns the screen all wonky-colored (I'm told that's a 
technical term). Looks like a CRT with one of its color guns out. This has been reported upstream as 
well, complete with a patch to fix it:

https://bugs.freedesktop.org/show_bug.cgi?id=8095

Version-Release number of selected component (if applicable):
xorg-x11-server-1.1.1-47.fc6

I've got a test build underway with the attached patch (applied as #110), will report back when its built 
and tested...
Comment 1 Jarod Wilson 2006-11-14 22:40:37 EST
Created attachment 141217 [details]
Fix for wonky colors w/Compiz on PPC
Comment 2 Jarod Wilson 2006-11-14 23:42:38 EST
Okay, test build with this patch added fixes the wonky colors on my PowerBook G4.
Comment 3 Frank Arnold 2006-11-15 01:22:08 EST
Thank you for the bug report. This particular bug has already been reported
into our bug tracking system, but please feel free to report any further
bugs you find.

*** This bug has been marked as a duplicate of 210760 ***

Note You need to log in before you can comment on or make changes to this bug.